Memos
Identity Provider Service

List Identity Providers

ListIdentityProviders lists identity providers.

GET
/api/v1/identity-providers

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/identity-providers"
{
  "identityProviders": [
    {
      "name": "string",
      "type": "TYPE_UNSPECIFIED",
      "title": "string",
      "identifierFilter": "string",
      "config": {
        "oauth2Config": {
          "clientId": "string",
          "clientSecret": "string",
          "authUrl": "string",
          "tokenUrl": "string",
          "userInfoUrl": "string",
          "scopes": [
            "string"
          ],
          "fieldMapping": {
            "identifier": "string",
            "displayName": "string",
            "email": "string",
            "avatarUrl": "string"
          }
        }
      }
    }
  ]
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings